## org.hibernate.envers.synchronization.work
Interface WorkUnitMergeDispatcher

All Known Subinterfaces:
  AuditWorkUnit

All Known Implementing Classes:
  AbstractAuditWorkUnit, AddWorkUnit, CollectionChangeWorkUnit, DelWorkUnit, FakeBidirectionalRelationWorkUnit, ModWorkUnit, PersistentCollectionChangeWorkUnit

    public interface WorkUnitMergeDispatcher

Visitor patter dispatcher.

Method Summary
`AuditWorkUnit` `dispatch(WorkUnitMergeVisitor first)` Shuold be invoked on the second work unit.

Method Detail

### dispatch

    AuditWorkUnit dispatch(WorkUnitMergeVisitor first)

  Shuold be invoked on the second work unit.

  Parameters:
    `first` - First work unit (that is, the one added earlier).
  Returns:
    The work unit that is the result of the merge.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.